aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMalcolm Tredinnick <malcolm@src.gnome.org>2003-05-03 19:02:31 +0800
committerMalcolm Tredinnick <malcolm@src.gnome.org>2003-05-03 19:02:31 +0800
commit19f2626e65d1700ff9c631a70ecb917f98dfcb38 (patch)
treef1ceeb4d18eddd79e4170409a8d3956e2d22c203
parentc56bdc1cefc7de7b5c50b751aeafa9083aee18e3 (diff)
downloadgsoc2013-evolution-19f2626e65d1700ff9c631a70ecb917f98dfcb38.tar
gsoc2013-evolution-19f2626e65d1700ff9c631a70ecb917f98dfcb38.tar.gz
gsoc2013-evolution-19f2626e65d1700ff9c631a70ecb917f98dfcb38.tar.bz2
gsoc2013-evolution-19f2626e65d1700ff9c631a70ecb917f98dfcb38.tar.lz
gsoc2013-evolution-19f2626e65d1700ff9c631a70ecb917f98dfcb38.tar.xz
gsoc2013-evolution-19f2626e65d1700ff9c631a70ecb917f98dfcb38.tar.zst
gsoc2013-evolution-19f2626e65d1700ff9c631a70ecb917f98dfcb38.zip
Allow users to specify the binary to run instead of libtoolize by checking
* autogen.sh: Allow users to specify the binary to run instead of libtoolize by checking the value of $LIBTOOLIZE. This is apparently an issue sometimes on MacOS X and fixes bug #111917. svn path=/trunk/; revision=21049
-rw-r--r--macros/ChangeLog6
-rw-r--r--macros/autogen.sh7
2 files changed, 11 insertions, 2 deletions
diff --git a/macros/ChangeLog b/macros/ChangeLog
index be94cbb4ec..72c1287c92 100644
--- a/macros/ChangeLog
+++ b/macros/ChangeLog
@@ -1,3 +1,9 @@
+2003-05-03 Malcolm Tredinnick <malcolm@commsecure.com.au>
+
+ * autogen.sh: Allow users to specify the binary to run instead of
+ libtoolize by checking the value of $LIBTOOLIZE. This is apparently an
+ issue sometimes on MacOS X and fixes bug #111917.
+
2003-03-20 Frederic Crozat <fcrozat@mandrakesoft.com>
* autogen.sh: use GNOME2_DIR, not GNOME2_PATH which can be
diff --git a/macros/autogen.sh b/macros/autogen.sh
index 6c45455e8b..199521fd9b 100644
--- a/macros/autogen.sh
+++ b/macros/autogen.sh
@@ -37,8 +37,11 @@ fi
}
}
+# Set this variable is libttoolize is called something else (like glibtoolize
+# on some MacOS X systems). Leave it unset otherwise.
+: ${LIBTOOLIZE=libtoolize}
(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
+ ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`libtool' installed to compile $PKG_NAME."
echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2d.tar.gz"
@@ -169,7 +172,7 @@ do
if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
if test -z "$NO_LIBTOOLIZE" ; then
echo "Running libtoolize..."
- libtoolize --force --copy
+ $LIBTOOLIZE --force --copy
fi
fi
echo "Running aclocal-1.4 $aclocalinclude ..."